Bug 966772

Summary: astromenace-1.3.1 - patches with several enhancements from upstream
Product: [Fedora] Fedora Reporter: Michael Kurinnoy <viewizard>
Component: astromenaceAssignee: Gwyn Ciesla <limburgher>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: drizt72, limburgher
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-03 13:33:39 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Kurinnoy 2013-05-23 18:41:29 EDT
Hello,

I am trying to make astromenace-1.3.1 code more stable during version 1.3.2 development, so, I made several patches for astromenace-1.3.1 source code with bugfixes from upstream code. Please, take a look. 7 patches for now.

Links for more info on Gentoo bugtracker:
https://bugs.gentoo.org/show_bug.cgi?id=450158
https://bugs.gentoo.org/show_bug.cgi?id=465106


Best regards,
Michael
Comment 1 Gwyn Ciesla 2013-05-24 09:49:32 EDT
Two questions.  

First, do you have any expectations regarding a release date of 1.3.2?

Second, are you encountering any issues with 1.3.1 that these specifically correct?

I'll still look at these and consider applying them, but your answers to those will help me prioritise.

Thanks!
Comment 2 Michael Kurinnoy 2013-05-24 11:11:40 EDT
(In reply to Jon Ciesla from comment #1)
> First, do you have any expectations regarding a release date of 1.3.2?

I still have lines in version 1.3.2 TODO list. I hope to release version 1.3.2 during this summer.


> Second, are you encountering any issues with 1.3.1 that these specifically
> correct?

1) Patch: Fixed bug that might corrupt overall game rendering (big blinking triangles over scene).

Prevent video drivers internal state corruption (true at least for amd and nvidia close source drivers on Linux and Windows).

2) Patch: Fixed overflow in VFS code.

Prevent game crash at start.


Best regards,
Michael
Comment 3 Gwyn Ciesla 2013-06-03 13:33:23 EDT
Ok, I've got this in rawhide, and will update for f19/f18/f17 as bug reports warrant.  Thanks much!